Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkra.protocol.v1
Class CompleteEtkRegistrationRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.etkra.protocol.v1.CompleteEtkRegistrationRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:42:59+01:00",
               comments="JAXB RI v2.2.11")
    public class CompleteEtkRegistrationRequest

extends RequestType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="ToBeRegistered" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="SignedCredentials" type="{urn:be:fgov:ehealth:etkra:protocol:v1}SignedCredentialsType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CompleteEtkRegistrationRequest()`

Method Summary
`SignedCredentialsType` | `getSignedCredentials()` Gets the value of the signedCredentials property.
`byte[]` | `getToBeRegistered()` Gets the value of the toBeRegistered property.
`void` | `setSignedCredentials(SignedCredentialsType value)` Sets the value of the signedCredentials property.
`void` | `setToBeRegistered(byte[] value)` Sets the value of the toBeRegistered property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteEtkRegistrationRequest

    public CompleteEtkRegistrationRequest()

Method Detail

### getToBeRegistered

    public byte[] getToBeRegistered()

  Gets the value of the toBeRegistered property.

  Returns:
    possible object is byte[]

### setToBeRegistered

    public void setToBeRegistered(byte[] value)

  Sets the value of the toBeRegistered property.

  Parameters:
    `value` - allowed object is byte[]

### getSignedCredentials

    public SignedCredentialsType getSignedCredentials()

  Gets the value of the signedCredentials property.

  Returns:
    possible object is `SignedCredentialsType`

### setSignedCredentials

    public void setSignedCredentials(SignedCredentialsType value)

  Sets the value of the signedCredentials property.

  Parameters:
    `value` - allowed object is `SignedCredentialsType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.